AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Pay with Bank (UK/EU)

Charge customers using their UK and European bank accounts. We recommend reading the method overview before proceeding.

Last updated 13 September 2026

Charge customers using their UK and European bank accounts. We recommend reading the method overview before proceeding.

post

https://api.flutterwave.com/v3/charges?type=account-ach-uk

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

amount int 32 required
This is the amount to be charged.

email string required
This is the customer's email address.

tx_ref string required
This is a unique reference, unique to the particular transaction being carried out.

currency string required
This is the specified currency to charge in. (expected value: GBP or EUR)

billing_country string
The customer's billing country. Pass the two-letter country code of a supported country.

fullname string
This is the customers full name. It should include first and last name of the customer

phone_number string
This is the customer's phone number.

client_ip string
This is the customer's IP address.

device_fingerprint string
This is the fingerprint for the device being used. It can be generated using a library on whatever platform is being used

meta object
This is used to include additional payment information

FILL IN ALL REQUIRED FIELDS

flightID string
This could be the extra information you want to pass

sideNote string
This could be any message you'd like to associate with this call

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

amount string

type string

redirect boolean

created_at string

order_ref string

flw_ref string

redirect_url string

payment_code string

type_data string

meta object

FILL IN ALL REQUIRED FIELDS

authorization object

FILL IN ALL REQUIRED FIELDS

account_number string

sort_code string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys